> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all customers



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/customers
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/customers:
    get:
      tags:
        - Third Party Customers
      summary: Get all customers
      operationId: CustomersController_findAll
      parameters:
        - name: sortOrder
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Case-insensitive. Values are normalized internally to ASC or DESC.
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
            enum:
              - createdAt
              - firstName
              - lastName
              - emailAddress
            default: createdAt
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
      responses:
        '200':
          description: List of customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    CustomerListResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
        - pagination
      properties:
        status:
          type: string
          enum:
            - success
            - error
        statusCode:
          type: integer
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        pagination:
          type: object
          required:
            - page
            - limit
            - total
            - totalPages
            - hasNextPage
            - hasPrevPage
          properties:
            page:
              type: integer
            limit:
              type: integer
            total:
              type: integer
            totalPages:
              type: integer
            hasNextPage:
              type: boolean
            hasPrevPage:
              type: boolean
          additionalProperties: true
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    Customer:
      type: object
      properties:
        id:
          type: string
        businessId:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        middleName:
          type: string
        emailAddress:
          type: string
          format: email
        mobileNumber:
          type: string
        dateOfBirth:
          type: string
          format: date
        address:
          type: string
        city:
          type: string
        country:
          type: string
        customerType:
          type: string
          enum:
            - individual
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````